Subject: Re: [regext] WG LAST CALL: draft-ietf-regext-rfc7483bis

From: "Gould, James" <[email-masked]>
Date: Tue, 22 Sep 2020 14:54:44 +0000

I have one item to bring up with draft-ietf-regext-rfc7483bis, which is associated with Section 5.1 “The Entity Object Class”.   The jCard "version" and "fn" members are required according to RFC 6350, which poses an issue if a contact name does not exist or needs to be redacted.  To address this case, I recommend adding a sentence to the end of section 3 "Common Data Types": 

Contact information is defined using jCards as described in [RFC7095].  The “version” and “fn” members are required according to [RFC6350], where an empty “fn” member MAY be used when the contact name does not exist or is redacted.

-- 
 
JG

James Gould
Fellow Engineer
[email-masked] <applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com <http://verisigninc.com/>

On 9/18/20, 9:53 AM, "regext on behalf of Antoin Verschuren" <[email-masked] on behalf of [email-masked]> wrote:

    The following working group document is believed to be ready for submission to the IESG for publication as a standards track document:
    
    https://secure-web.cisco.com/1TPCwonZASFyr9U-JWqWzfwXidaMTUyAh1ZBKul2UE27aXBFOV2rWNVeeU-bPzNOlf0YETg8XLmcyVuh_bX_W40FF-A9Uca3tN26XJyZMYEl1QEJV-vf4wHfPnCKNY38vJRBDo8F5G6_OdC16zKdP6WptsX7o3es2dRfjr0ggLtlf2fdtXB7fPRhJuGQ26MU6aQEUPc5quRxjyzEasfDRlcKZhQLHcPEM1ktGZV5ao6tWFsJ2hrSzZ0c19JsV02Pco3qU0Ps_oPm3ECugfiZKTQ/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-regext-rfc7483bis%2F
    
    This WG last call will end at close of business, Friday, 2 October 2020.
    
    Please review this document and indicate your support (a simple “+1” is sufficient) or concerns with the publication of this document by replying to this message on the list.
    
    The document shepherd for this document is Jasdip Singh.
    
    Regards,
    
    Jim and Antoin

    
    
    _______________________________________________
    regext mailing list
    [email-masked]
    https://secure-web.cisco.com/1IpLyCj5CTIn-tw-RphvLyZF3tellzMlGMfGdgZ1gGcKV665LbzpW9cQZGLkQF3OU6uWFavAH8wrVp6aAS3c5WFrs8dSP_2BhovK0TJwFDhOw7e-5VKProib-hTtntNC4lvgwrUxvaG_2BNiBCT9msLFNVZWvCni0M1XB3VWnUi1u3pJYBoPOWtuQnkvMNq9wf0HCE6XGkldFRn5Wg5BG8RAkPnhBGQFiB9aAcFycg7U3ZpW9h1oMkyCg8FZxp5iF9KnXWI81zpGl1N34fxwme_Pl2F2yYk8Ut_0V-mzSbKE/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fregext

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 24 Sep 2020 16:30:34 +0000

> -----Original Message-----
> From: regext <[email-masked]> On Behalf Of Gould, James
> Sent: Tuesday, September 22, 2020 10:55 AM
> To: [email-masked]; [email-masked]
> Subject: [EXTERNAL] Re: [regext] WG LAST CALL: draft-ietf-regext-rfc7483bis
>
> I have one item to bring up with draft-ietf-regext-rfc7483bis, which is
> associated with Section 5.1 “The Entity Object Class”.   The jCard "version"
> and "fn" members are required according to RFC 6350, which poses an issue
> if a contact name does not exist or needs to be redacted.  To address this
> case, I recommend adding a sentence to the end of section 3 "Common Data
> Types":
>
> Contact information is defined using jCards as described in [RFC7095].  The
> “version” and “fn” members are required according to [RFC6350], where an
> empty “fn” member MAY be used when the contact name does not exist or
> is redacted.

I'd like to see some discussion of this suggestion. If one understands the normative references, the suggestion is already implicitly addressed. There may be some value in describing this situation explicitly since it came up in the ICANN gTLD implementation context, but so others think this clarification is necessary?

Scott

---

From: Jasdip Singh <[email-masked]>
Date: Thu, 24 Sep 2020 16:38:37 +0000

Hello Scott, James.

Seems if the RDAP profile for the DNRs (https://www.icann.org/resources/pages/rdap-operational-profile-2016-07-26-en) could clarify this, the spec could be left as-is.

Jasdip

    
    
    Scott
    _______________________________________________
    regext mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/regext